Pre-release — content may change.

Segments

Update a segment action

PATCH
/segment_filters/{id}/segment_actions/{action_id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The segment filter's id.

action_id*string

The segment action's id.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

A request body to update a segment action.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/segment_filters/497f6eca-6276-4993-bfeb-53cbbbba6f08/segment_actions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "data": {      "type": "segment_actions",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attributes": {}    }  }'
{  "data": {    "type": "segment_actions",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "attributes": {      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "action_type": "string",      "data": {},      "active": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "relationships": {      "segment_filter": {        "data": null,        "links": {          "self": "/segment_actions/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/segment_filter"        }      },      "links": {}    },    "links": {      "self": "/segment_actions/7247ad7d-9275-454b-9e3a-0570e403739e"    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}